#ifndef HD00MIDI
#define HD00MIDI

//#define LOGFILE "log.txt"
#define BE_LONG(x)	((((x)&0x0000FF)<<24) | \
			 (((x)&0x00FF00)<<8) | \
			 (((x)&0xFF0000)>>8) | \
			 (((x)>>24)&0xFF))

#define LNG_CHINESE     0x03
#define LNG_ENGLISH     0x12

#define LYR_UNICODE        "@CODE=UNICODE"

typedef struct
{       int     Time;
        unsigned char   Chn, Note, Velo, Order,
                        Lyr[2];
} SeriEvtType;


extern char	*HotDog00, *AddrFName;

void	ReadMidiDat(FILE *InFile, int Offset, FILE *OutFile, int Length, FILE *lFile, int Language);
long    FindLyrStart( FILE *InFile, int Language);

#endif
