#ifndef hotdog00H
#define hotdog00H

#define TOC_OFFSET 0x0200
#define TOC_LENGTH 0x0100
#define ASCII_MODE 0
#define DUALBYTE_MODE 1

#include <fstream.h>

typedef struct
{
  unsigned long offset;
  int length;
  int midiOffset;
  unsigned long unknown;
} SongEntry;


void ConvText( std::string *Str, char *OutStr, int LangCode);
int getTableOfContents(FILE *inFile, unsigned long toc[TOC_LENGTH]);
int getSongEntryTable(FILE *inFile, unsigned long offset, SongEntry songEntry[TOC_LENGTH]);
int ReadLyricDat(FILE *inFile, int offset, unsigned char Lpd[], int mode);
void ReadArtist( unsigned char Lpd[], char *Txt, int KeyLen, int Mode);

#endif